--- net/base/listen_socket.cc
+++ net/base/listen_socket.cc
@@ -16,6 +16,10 @@
 #include "third_party/libevent/event.h"
 #endif
 
+#if defined(OS_FREEBSD)
+#include <netinet/in.h>
+#endif
+
 #include "base/eintr_wrapper.h"
 #include "net/base/net_util.h"
 #include "net/base/listen_socket.h"
diff --git net/base/listen_socket_unittest.h net/base/listen_socket_unittest.h
index 81cbb95..41d5c40 100644
